Bug 1357018 - scalapack/blacs auto Require dependencies on openmpi and mpich are ambiguous
Summary: scalapack/blacs auto Require dependencies on openmpi and mpich are ambiguous
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: scalapack
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1357022
TreeView+ depends on / blocked
 
Reported: 2016-07-15 13:37 UTC by marcindulak
Modified: 2016-09-13 21:20 UTC (History)
2 users (show)

Fixed In Version: scalapack-2.0.2-15.fc24 scalapack-2.0.2-15.fc23 scalapack-2.0.2-15.el7 scalapack-2.0.2-16.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-13 21:20:03 UTC
Type: Bug


Attachments (Terms of Use)

Description marcindulak 2016-07-15 13:37:51 UTC
Description of problem:


case A
------

This is a known problem where packages linking against mpi need to explicitly Require openmpi or mpich. Otherwise a package built against openmpi
may pull in mpich dependencies.

$ yum -y install scalapack-openmpi
...
--> Running transaction check
---> Package scalapack-openmpi.x86_64 0:2.0.2-7.el6 will be installed
--> Processing Dependency: openmpi for package: scalapack-openmpi-2.0.2-7.el6.x86_64
--> Processing Dependency: libmpiblacs.so.2()(64bit) for package: scalapack-openmpi-2.0.2-7.el6.x86_64
--> Processing Dependency: libmpi.so.1()(64bit) for package: scalapack-openmpi-2.0.2-7.el6.x86_64
--> Running transaction check
---> Package blacs-mpich.x86_64 0:2.0.2-7.el6 will be installed
--> Processing Dependency: blacs-common = 2.0.2-7.el6 for package: blacs-mpich-2.0.2-7.el6.x86_64
---> Package openmpi-1.8.x86_64 0:1.8.1-5.el6 will be installed
--> Running transaction check
---> Package blacs-common.x86_64 0:2.0.2-7.el6 will be installed
--> Finished Dependency Resolution
...

case B
------

I guess this part bug should be reported against RHEL6, shouldn't so versions be bumped for new mpi builds?

RHEL6 ships several versions of mpi packages that provide the same library and so version:

$ yum provides 'libmpich.so.12()(64bit)' | grep x86_64
mvapich2-psm-2.0rc1-1.el6.x86_64 : OSU MVAPICH2 using infinipath package
mpich-3.1-5.el6.x86_64 : A high-performance implementation of MPI
mvapich2-2.0rc1-1.el6.x86_64 : OSU MVAPICH2 MPI package

$ yum provides 'libmpi.so.1()(64bit)' | grep x86_64
openmpi-1.5.4-1.5.4-5.el6.x86_64 : Open Message Passing Interface 1.5.4
openmpi-1.5.3-1.5.3-5.el6.x86_64 : Open Message Passing Interface 1.5.3
openmpi-1.5.3-psm-1.5.3-5.el6.x86_64 : Open Message Passing Interface 1.5.3
openmpi-1.8-1.8.1-5.el6.x86_64 : Open Message Passing Interface 1.8

While there is probably no risk in case of 'libmpich.so.12()(64bit)', 
for openmpi this may cause a mismatch of openmpi used for building scalapack/blacs with the one used at scalapack/blacs runtime.

Already now the build of openmpi is newer than that of scalapack/blacs,
and what worse that propagates to other mpi programs (e.g. ga):

$ for p in openmpi-1.8 scalapack-openmpi ga-openmpi; do rpm -q $p --queryformat '%{buildtime:date} %{name}-%{version}-%{release}\n'; done
Wed 11 May 2016 07:55:46 AM UTC openmpi-1.8-1.8.1-5.el6
Tue 19 Jan 2016 05:47:04 PM UTC scalapack-openmpi-2.0.2-7.el6
Mon 03 Nov 2014 02:40:14 AM UTC ga-openmpi-5.3b-13.el6


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2016-07-28 15:50:52 UTC
scalapack-2.0.2-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-560cf441fc

Comment 2 Fedora Update System 2016-07-28 15:51:05 UTC
scalapack-2.0.2-15.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ebe2adca1

Comment 3 Fedora Update System 2016-07-28 15:51:12 UTC
scalapack-2.0.2-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2adb2347e1

Comment 4 Fedora Update System 2016-07-29 03:55:21 UTC
scalapack-2.0.2-15.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-560cf441fc

Comment 5 Fedora Update System 2016-07-29 03:55:32 UTC
scalapack-2.0.2-15.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8ebe2adca1

Comment 6 Fedora Update System 2016-07-29 07:19:08 UTC
scalapack-2.0.2-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2adb2347e1

Comment 7 Fedora Update System 2016-08-08 20:26:54 UTC
scalapack-2.0.2-15.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-08-08 23:54:13 UTC
scalapack-2.0.2-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-14 05:19:41 UTC
scalapack-2.0.2-15.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 marcindulak 2016-08-16 13:44:24 UTC
It's epel6 that has the problem.

Comment 11 marcindulak 2016-08-22 10:25:25 UTC
Please build on epel6.

Comment 12 Fedora Update System 2016-08-26 19:02:24 UTC
scalapack-2.0.2-16.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cb9287b225

Comment 13 Fedora Update System 2016-08-27 21:17:28 UTC
scalapack-2.0.2-16.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cb9287b225

Comment 14 Fedora Update System 2016-09-13 21:20:00 UTC
scalapack-2.0.2-16.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.